diff -ur -x .svn ioquake3-orig/Makefile ioquake3/Makefile
--- ioquake3-orig/Makefile	2012-12-28 15:51:19.000000000 +0000
+++ ioquake3/Makefile	2012-12-28 15:53:03.000000000 +0000
@@ -405,7 +405,7 @@
 
 ifeq ($(PLATFORM),darwin)
   HAVE_VM_COMPILED=true
-  LIBS = -framework Cocoa -framework SDL
+  LIBS = -framework Cocoa
   CLIENT_LIBS=
   RENDERER_LIBS=
   OPTIMIZEVM=
@@ -462,8 +462,8 @@
   LIBSDLMAIN=$(B)/libSDLmain.a
   LIBSDLMAINSRC=$(LIBSDIR)/macosx/libSDLmain.a
   CLIENT_LIBS += -framework IOKit \
-    -framework SDL
-  RENDERER_LIBS += -framework OpenGL -framework SDL
+    $(LIBSDIR)/macosx/libSDL-1.2.0.dylib
+  RENDERER_LIBS += -framework OpenGL $(LIBSDIR)/macosx/libSDL-1.2.0.dylib
 
   OPTIMIZEVM += -falign-loops=16
   OPTIMIZE = $(OPTIMIZEVM) -ffast-math
diff -ur -x .svn ioquake3-orig/make-macosx-ub.sh ioquake3/make-macosx-ub.sh
--- ioquake3-orig/make-macosx-ub.sh	2012-12-28 15:51:19.000000000 +0000
+++ ioquake3/make-macosx-ub.sh	2012-12-28 17:24:42.000000000 +0000
@@ -12,36 +12,48 @@
 BIN_OBJ="
 	build/release-darwin-x86_64/ioquake3.x86_64
 	build/release-darwin-i386/ioquake3.i386
+	build/release-darwin-ppc/ioquake3.ppc
 "
 BIN_DEDOBJ="
 	build/release-darwin-x86_64/ioq3ded.x86_64
 	build/release-darwin-i386/ioq3ded.i386
+	build/release-darwin-ppc/ioq3ded.ppc
 "
 BASE_OBJ="
 	build/release-darwin-x86_64/$BASEDIR/cgamex86_64.dylib
 	build/release-darwin-i386/$BASEDIR/cgamei386.dylib
+	build/release-darwin-ppc/$BASEDIR/cgameppc.dylib
 	build/release-darwin-x86_64/$BASEDIR/uix86_64.dylib
 	build/release-darwin-i386/$BASEDIR/uii386.dylib
+	build/release-darwin-ppc/$BASEDIR/uippc.dylib
 	build/release-darwin-x86_64/$BASEDIR/qagamex86_64.dylib
 	build/release-darwin-i386/$BASEDIR/qagamei386.dylib
+	build/release-darwin-ppc/$BASEDIR/qagameppc.dylib
 "
 MPACK_OBJ="
 	build/release-darwin-x86_64/$MPACKDIR/cgamex86_64.dylib
 	build/release-darwin-i386/$MPACKDIR/cgamei386.dylib
+	build/release-darwin-ppc/$MPACKDIR/cgameppc.dylib
 	build/release-darwin-x86_64/$MPACKDIR/uix86_64.dylib
 	build/release-darwin-i386/$MPACKDIR/uii386.dylib
+	build/release-darwin-ppc/$MPACKDIR/uippc.dylib
 	build/release-darwin-x86_64/$MPACKDIR/qagamex86_64.dylib
 	build/release-darwin-i386/$MPACKDIR/qagamei386.dylib
+	build/release-darwin-ppc/$MPACKDIR/qagameppc.dylib
 "
 RENDER_OBJ="
 	build/release-darwin-x86_64/renderer_opengl1_smp_x86_64.dylib
 	build/release-darwin-i386/renderer_opengl1_smp_i386.dylib
+	build/release-darwin-ppc/renderer_opengl1_smp_ppc.dylib
 	build/release-darwin-x86_64/renderer_opengl1_x86_64.dylib
 	build/release-darwin-i386/renderer_opengl1_i386.dylib
+	build/release-darwin-ppc/renderer_opengl1_ppc.dylib
 	build/release-darwin-x86_64/renderer_rend2_smp_x86_64.dylib
 	build/release-darwin-i386/renderer_rend2_smp_i386.dylib
+	build/release-darwin-ppc/renderer_rend2_smp_ppc.dylib
 	build/release-darwin-x86_64/renderer_rend2_x86_64.dylib
 	build/release-darwin-i386/renderer_rend2_i386.dylib
+	build/release-darwin-ppc/renderer_rend2_ppc.dylib
 "
 
 cd `dirname $0`
@@ -60,6 +72,7 @@
 # can not build 64bit binaries, making 10.5 the minimum version.   This has been tested 
 # with xcode 3.1 (xcode31_2199_developerdvd.dmg).  It contains the 10.5 SDK and a decent
 # enough gcc to actually compile ioquake3
+# For PPC macs, G4's or better are required to run ioquake3.
 
 unset X86_64_SDK
 unset X86_64_CFLAGS
@@ -67,6 +80,9 @@
 unset X86_SDK
 unset X86_CFLAGS
 unset X86_LDFLAGS
+unset PPC_64_SDK
+unset PPC_CFLAGS
+unset PPC_LDFLAGS
 
 if [ -d /Developer/SDKs/MacOSX10.5.sdk ]; then
 	X86_64_SDK=/Developer/SDKs/MacOSX10.5.sdk
@@ -78,9 +94,14 @@
 	X86_CFLAGS="-arch i386 -isysroot /Developer/SDKs/MacOSX10.5.sdk \
 			-DMAC_OS_X_VERSION_MIN_REQUIRED=1050"
 	X86_LDFLAGS=" -mmacosx-version-min=10.5"
+
+	PPC_SDK=/Developer/SDKs/MacOSX10.5.sdk
+	PPC_CFLAGS="-arch ppc -isysroot /Developer/SDKs/MacOSX10.5.sdk \
+			-DMAC_OS_X_VERSION_MIN_REQUIRED=1050"
+	PPC_LDFLAGS=" -mmacosx-version-min=10.5"
 fi
 
-if [ -z $X86_64_SDK ] || [ -z $X86_SDK ]; then
+if [ -z $X86_64_SDK ] || [ -z $X86_SDK ] || [ -z $PPC_SDK ]; then
 	echo "\
 ERROR: This script is for building a Universal Binary.  You cannot build
        for a different architecture unless you have the proper Mac OS X SDKs
@@ -91,6 +112,7 @@
 
 echo "Building X86_64 Client/Dedicated Server against \"$X86_64_SDK\""
 echo "Building X86 Client/Dedicated Server against \"$X86_SDK\""
+echo "Building PPC Client/Dedicated Server against \"$PPC_SDK\""
 echo
 
 if [ "$X86_64_SDK" != "/Developer/SDKs/MacOSX10.5.sdk" ] || \
@@ -123,6 +145,16 @@
 fi
 (ARCH=i386 CC=gcc-4.0 CFLAGS=$X86_CFLAGS LDFLAGS=$X86_LDFLAGS make -j$NCPU) || exit 1;
 
+echo;echo
+
+# PPC client and server
+if [ -d build/release-darwin-ppc ]; then
+	rm -r build/release-darwin-ppc
+fi
+(ARCH=ppc CC=gcc-4.0 CFLAGS=$PPC_CFLAGS LDFLAGS=$PPC_LDFLAGS make -j$NCPU) || exit 1;
+
+echo;echo
+
 echo "Creating .app bundle $DESTDIR/$APPBUNDLE"
 if [ ! -d $DESTDIR/$APPBUNDLE/Contents/MacOS/$BASEDIR ]; then
 	mkdir -p $DESTDIR/$APPBUNDLE/Contents/MacOS/$BASEDIR || exit 1;
@@ -172,25 +204,10 @@
 	</plist>
 	" > $DESTDIR/$APPBUNDLE/Contents/Info.plist
 
-# Change the path of the SDL Framework in both arches for the executables and renderer dylib's
-# This removes the need for players to have the SDL.Framework installed on their machines.
-for i in $BIN_OBJ $BIN_DEDOBJ $RENDER_OBJ
-do
-        install_name_tool -change "@rpath/SDL.framework/Versions/A/SDL" "@executable_path/../Frameworks/SDL.framework/Versions/A/SDL" $i
-done
-
-# Make UB's from previous builds of 1386 and x86_64 binaries
+# Make UB's from previous builds of i386, x86_64 and ppc binaries
 lipo -create -o $DESTDIR/$APPBUNDLE/Contents/MacOS/$BINARY $BIN_OBJ
 lipo -create -o $DESTDIR/$APPBUNDLE/Contents/MacOS/$DEDBIN $BIN_DEDOBJ
 
-# Embed the SDL framework into the .app so players done need to install it on their systems.
-mkdir $DESTDIR/$APPBUNDLE/Contents/Frameworks
-unzip -d $DESTDIR/$APPBUNDLE/Contents/Frameworks code/libs/macosx/SDL-1.2.15.framework.zip
-
-# Change the path in the UB, just in case
-install_name_tool -change "@rpath/SDL.framework/Versions/A/SDL" "@executable_path/../Frameworks/SDL.framework/Versions/A/SDL" $DESTDIR/$APPBUNDLE/Contents/MacOS/$BINARY
-install_name_tool -change "@rpath/SDL.framework/Versions/A/SDL" "@executable_path/../Frameworks/SDL.framework/Versions/A/SDL" $DESTDIR/$APPBUNDLE/Contents/MacOS/$DEDBIN
-
 cp $RENDER_OBJ $DESTDIR/$APPBUNDLE/Contents/MacOS/
 cp $BASE_OBJ $DESTDIR/$APPBUNDLE/Contents/MacOS/$BASEDIR/
 cp $MPACK_OBJ $DESTDIR/$APPBUNDLE/Contents/MacOS/$MPACKDIR/
diff -ur -x .svn ioquake3-orig/make-macosx.sh ioquake3/make-macosx.sh
--- ioquake3-orig/make-macosx.sh	2012-12-28 15:51:19.000000000 +0000
+++ ioquake3/make-macosx.sh	2012-12-28 17:16:46.000000000 +0000
@@ -1,35 +1,39 @@
 #!/bin/sh
+#
+# BUILDARCH can be set to either i386, x86_64 or ppc
+BUILDARCH=x86_64
+
 CC=gcc-4.0
 APPBUNDLE=ioquake3.app
-BINARY=ioquake3.x86_64
-DEDBIN=ioq3ded.x86_64
+BINARY=ioquake3.${BUILDARCH}
+DEDBIN=ioq3ded.${BUILDARCH}
 PKGINFO=APPLIOQ3
 ICNS=misc/quake3.icns
-DESTDIR=build/release-darwin-x86_64
+DESTDIR=build/release-darwin-${BUILDARCH}
 BASEDIR=baseq3
 MPACKDIR=missionpack
 
 BIN_OBJ="
-	build/release-darwin-x86_64/ioquake3.x86_64
+	build/release-darwin-${BUILDARCH}/ioquake3.${BUILDARCH}
 "
 BIN_DEDOBJ="
-	build/release-darwin-x86_64/ioq3ded.x86_64
+	build/release-darwin-${BUILDARCH}/ioq3ded.${BUILDARCH}
 "
 BASE_OBJ="
-	build/release-darwin-x86_64/$BASEDIR/cgamex86_64.dylib
-	build/release-darwin-x86_64/$BASEDIR/uix86_64.dylib
-	build/release-darwin-x86_64/$BASEDIR/qagamex86_64.dylib
+	build/release-darwin-${BUILDARCH}/$BASEDIR/cgame${BUILDARCH}.dylib
+	build/release-darwin-${BUILDARCH}/$BASEDIR/ui${BUILDARCH}.dylib
+	build/release-darwin-${BUILDARCH}/$BASEDIR/qagame${BUILDARCH}.dylib
 "
 MPACK_OBJ="
-	build/release-darwin-x86_64/$MPACKDIR/cgamex86_64.dylib
-	build/release-darwin-x86_64/$MPACKDIR/uix86_64.dylib
-	build/release-darwin-x86_64/$MPACKDIR/qagamex86_64.dylib
+	build/release-darwin-${BUILDARCH}/$MPACKDIR/cgame${BUILDARCH}.dylib
+	build/release-darwin-${BUILDARCH}/$MPACKDIR/ui${BUILDARCH}.dylib
+	build/release-darwin-${BUILDARCH}/$MPACKDIR/qagame${BUILDARCH}.dylib
 "
 RENDER_OBJ="
-	build/release-darwin-x86_64/renderer_opengl1_smp_x86_64.dylib
-	build/release-darwin-x86_64/renderer_opengl1_x86_64.dylib
-	build/release-darwin-x86_64/renderer_rend2_smp_x86_64.dylib
-	build/release-darwin-x86_64/renderer_rend2_x86_64.dylib
+	build/release-darwin-${BUILDARCH}/renderer_opengl1_smp_${BUILDARCH}.dylib
+	build/release-darwin-${BUILDARCH}/renderer_opengl1_${BUILDARCH}.dylib
+	build/release-darwin-${BUILDARCH}/renderer_rend2_smp_${BUILDARCH}.dylib
+	build/release-darwin-${BUILDARCH}/renderer_rend2_${BUILDARCH}.dylib
 "
 
 cd `dirname $0`
@@ -48,19 +52,21 @@
 # can not build 64bit binaries, making 10.5 the minimum version.   This has been tested 
 # with xcode 3.1 (xcode31_2199_developerdvd.dmg).  It contains the 10.5 SDK and a decent
 # enough gcc to actually compile ioquake3
+# For PPC macs, G4's or better are required to run ioquake3.
+
+unset ARCH_SDK
+unset ARCH_CFLAGS
+unset ARCH_LDFLAGS
 
-unset X86_SDK
-unset X86_CFLAGS
-unset X86_LDFLAGS
 if [ -d /Developer/SDKs/MacOSX10.5.sdk ]; then
-	X86_SDK=/Developer/SDKs/MacOSX10.5.sdk
-	X86_CFLAGS="-arch x86_64 -isysroot /Developer/SDKs/MacOSX10.5.sdk \
+	ARCH_SDK=/Developer/SDKs/MacOSX10.5.sdk
+	ARCH_CFLAGS="-arch ${BUILDARCH} -isysroot /Developer/SDKs/MacOSX10.5.sdk \
 			-DMAC_OS_X_VERSION_MIN_REQUIRED=1050"
-	X86_LDFLAGS=" -mmacosx-version-min=10.5"
+	ARCH_LDFLAGS=" -mmacosx-version-min=10.5"
 fi
 
 
-echo "Building X86 Client/Dedicated Server against \"$X86_SDK\""
+echo "Building ${BUILDARCH} Client/Dedicated Server against \"$ARCH_SDK\""
 sleep 3
 
 if [ ! -d $DESTDIR ]; then
@@ -72,10 +78,10 @@
 
 
 # intel client and server
-if [ -d build/release-darwin-x86_64 ]; then
-	rm -r build/release-darwin-x86_64
+if [ -d build/release-darwin-${BUILDARCH} ]; then
+	rm -r build/release-darwin-${BUILDARCH}
 fi
-(ARCH=x86_64 CFLAGS=$X86_CFLAGS LDFLAGS=$X86_LDFLAGS make -j$NCPU) || exit 1;
+(ARCH=${BUILDARCH} CFLAGS=$ARCH_CFLAGS LDFLAGS=$ARCH_LDFLAGS make -j$NCPU) || exit 1;
 
 echo "Creating .app bundle $DESTDIR/$APPBUNDLE"
 if [ ! -d $DESTDIR/$APPBUNDLE/Contents/MacOS/$BASEDIR ]; then
@@ -126,11 +132,6 @@
 	</plist>
 	" > $DESTDIR/$APPBUNDLE/Contents/Info.plist
 
-for i in $BIN_OBJ $BIN_DEDOBJ $RENDER_OBJ
-do
-        install_name_tool -change "@rpath/SDL.framework/Versions/A/SDL" "@executable_path/../Frameworks/SDL.framework/Versions/A/SDL" $i
-done
-
 
 cp $BIN_OBJ $DESTDIR/$APPBUNDLE/Contents/MacOS/$BINARY
 cp $BIN_DEDOBJ $DESTDIR/$APPBUNDLE/Contents/MacOS/$DEDBIN
@@ -138,4 +139,5 @@
 cp $BASE_OBJ $DESTDIR/$APPBUNDLE/Contents/MacOS/$BASEDIR/
 cp $MPACK_OBJ $DESTDIR/$APPBUNDLE/Contents/MacOS/$MPACKDIR/
 cp code/libs/macosx/*.dylib $DESTDIR/$APPBUNDLE/Contents/MacOS/
+cp code/libs/macosx/*.dylib $DESTDIR
 
